<?xml version="1.0" encoding="UTF-8"?>
<!--
 ...	Specification Name: OASIS CIQ V3.0
		Description: Defines the customised business rules 
		Produced by: OASIS Customer Information Quality Technical Committee
		URL: http://www.oasis-open.org/committees/ciq
		Version: 3.0  
		Status: Committee Specification CS02
		Copyright: 2007-09, OASIS, http://www.oasis-open.org
		Last Modified: 20 September 2008
		Last Modified by: Ram Kumar, Chair, OASIS CIQ TC 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" 
         id="business-constraints">

<!-- Business rule constraint for xNL schema
     Cannot have more than one First Name and Last Name
-->

  <rule context="n:PersonName[not(parent::n:PartyName)]">
    <assert test="count(n:NameElement[@n:ElementType='FirstName'])=1"
      >Must have exactly one FirstName component</assert>
    <assert test="count(n:NameElement[@n:ElementType='LastName'])=1"
      >Must have exactly one LastName component</assert>
  </rule>

<!-- Business rule constraint for xAL schema
     Can only have FreeTextAddress, Locality and 
     Postcode elements. Cannot have the rest
 
  <rule context ="a:Address/*">
	<assert test="(name()='a:PostCode') or (name()='a:FreeTextAddress') 
                       or (name()='a:Locality')">Invalid element present
	</assert>
	
  </rule> 
-->


<!-- Business rule constraint for xAL Schema
     Can only have FreeTextAddress and nothing else -->

   <rule context ="a:Address/*">
	<assert test="(name()='a:FreeTextAddress')">Invalid element present. Only FreeTextAddress element allowed.
	</assert>
   </rule>
   
</pattern>
